Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.ChoiceOption Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | ChoiceOption ()
| Constructor.
def | ChoiceOption (option)
| Constructor, with another choice option object. More...
def | ChoiceOption (option_value, option_label, selected, default_selected)
| Constructor, with parameters. More...
def | Set (option_value, option_label, selected, default_selected)
| Set value. More...

## Static Public Attributes
| default_selected = _fsdk.ChoiceOption_default_selected
| Used to indicate whether the option would be selected by default or not.
| option_label = _fsdk.ChoiceOption_option_label
| The displayed string value for the option.
| option_value = _fsdk.ChoiceOption_option_value
| The option string value.
| selected = _fsdk.ChoiceOption_selected
| Used to indicate whether the option is selected or not.

## Detailed Description

This class represents the data of an option in list box or combo box.

## Constructor & Destructor Documentation

## ◆ ChoiceOption() [1/2]

def FoxitPDFSDKPython2.ChoiceOption.ChoiceOption | ( |  | option_value,
|  |  | option_label,
|  |  | selected,
|  |  | default_selected
| ) |  |

Constructor, with parameters.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

## ◆ ChoiceOption() [2/2]

def FoxitPDFSDKPython2.ChoiceOption.ChoiceOption | ( |  | option | ) |

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.ChoiceOption.Set | ( |  | option_value,
|  |  | option_label,
|  |  | selected,
|  |  | default_selected
| ) |  |

Set value.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

Returns
  None.